Retry an operation
/v1/operations/{operation_id}/retryRetries a failed sender rule operation with kind=sender_rules and status=failed. This endpoint cannot resend messages. An incompatible state returns 409. Retrying mailbox creation or configuration through this endpoint is not permitted and returns 403.
Authentication and access · Errors and retries
Request
curl -X POST 'https://adapt-mail.com/v1/operations/<operation_id>/retry' \ -H 'Authorization: Bearer <access_token>'Parameters
operation_idpathNecessarilystring · uuidX-Customer-IDheader- Option 1
stringOption 2null
Responses
202 Successful response
application/json
object
idstring · uuidOperation ID for checking the status and canceling a pending submission.
kindstringmailbox_id- Option 1
integerOption 2null statusstringValid values:
"queued""running""succeeded""failed""uncertain""cancelled"run_atstringDate and time in UTC. If there is no offset, the value also represents UTC.
created_atstringDate and time in UTC. If there is no offset, the value also represents UTC.
completed_at- Option 1
stringDate and time in UTC. If there is no offset, the value also represents UTC.
Option 2null errorThe reason for the error if the operation did not complete successfully.
Option 1stringOption 2nullresultThe result of the operation. For sending, contains information about accepted and rejected recipients.
Option 1objectOption 2null
401 Login required
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
403 No access
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
404 Resource not found
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
409 State conflict
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
422 Validation error
application/json
object
detailarrayArray elementsobjectlocNecessarilyarrayArray elementsOption 1stringOption 2integermsgNecessarilystringtypeNecessarilystring
503 Temporarily unavailable
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject